=== modified file 'diff.py'
--- diff.py	2012-02-03 21:15:32 +0000
+++ diff.py	2012-02-03 21:52:53 +0000
@@ -440,7 +440,7 @@
     def __init__(self, parent=None, operations=None):
         super(DiffWindow, self).__init__(parent=parent)
         self.set_border_width(0)
-        self.set_title("bzrk diff")
+        self.set_title("bzr diff")
 
         # Use two thirds of the screen by default
         screen = self.get_screen()
@@ -475,17 +475,11 @@
         mb_view_wrapsource = Gtk.CheckMenuItem.new_with_mnemonic(
             _i18n("Wrap _Long Lines"))
         mb_view_wrapsource.connect('activate', self.diff._on_wraplines_toggled)
-        if self.SHOW_WIDGETS:
-            mb_view_wrapsource.show()
         mb_view_menu.append(mb_view_wrapsource)
-        if self.SHOW_WIDGETS:
-            mb_view.show()
         mb_view.set_submenu(mb_view_menu)
-        if self.SHOW_WIDGETS:
-            mb_view.show()
         menubar.append(mb_view)
         if self.SHOW_WIDGETS:
-            menubar.show()
+            menubar.show_all()
         return menubar
 
     def _get_button_bar(self, operations):

=== modified file 'tests/test_diff.py'
--- tests/test_diff.py	2012-02-03 21:15:32 +0000
+++ tests/test_diff.py	2012-02-03 21:52:53 +0000
@@ -139,6 +139,41 @@
 
 class DiffWindowTestCase(tests.TestCaseWithTransport):
 
+    def test_init(self):
+        window = DiffWindow()
+        self.assertEqual('bzr diff', window.props.title)
+        self.assertEqual(0, window.props.border_width)
+
+    def test_init_construct_without_operations(self):
+        window = DiffWindow()
+        widgets = window.vbox.get_children()
+        self.assertEqual(2, len(widgets))
+        self.assertIsInstance(widgets[0], Gtk.MenuBar)
+        self.assertIsInstance(widgets[1], DiffWidget)
+
+    def test_init_construct_with_operations(self):
+        method = MockMethod()
+        window = DiffWindow(operations=[('title', method)])
+        widgets = window.vbox.get_children()
+        self.assertEqual(3, len(widgets))
+        self.assertIsInstance(widgets[0], Gtk.MenuBar)
+        self.assertIsInstance(widgets[1], Gtk.HButtonBox)
+        self.assertIsInstance(widgets[2], DiffWidget)
+
+    def test_get_menu_bar(self):
+        window = DiffWindow()
+        menu_bar = window._get_menu_bar()
+        self.assertIsNot(None, menu_bar)
+        menus = menu_bar.get_children()
+        self.assertEqual(1, len(menus))
+        self.assertEqual('_View', menus[0].props.label)
+        sub_menu = menus[0].get_submenu()
+        self.assertIsNot(None, sub_menu)
+        items = sub_menu.get_children()
+        self.assertEqual(1, len(items))
+        menus[0].get_submenu().get_children()[0].props.label
+        self.assertEqual('Wrap _Long Lines', items[0].props.label)
+
     def test_get_button_bar_with_none(self):
         window = DiffWindow()
         self.assertIs(None, window._get_button_bar(None))
@@ -155,6 +190,7 @@
         self.assertIs(True, method.called)
 
 
+
 class MockDiffWidget(object):
 
     def set_diff_text_sections(self, sections):

